Subject: Re: bug#47291: [PATCH] Auto-detect ns-appearance of frames and call a hook when it changes

From: Daphne Preston-Kendal <[email-masked]>
Date: Fri, 8 Oct 2021 10:24:16 +0200

On 18 May 2021, at 20:03, Daphne Preston-Kendal <[email-masked]> wrote:

> Is it possible to do that within the framework of what dynamic-setting
> provides? Sorry if this is obvious, I’m just not familiar with this
> bit of Emacs.

Since there have been no answers since May, I’d like to suggest/
request that my patch be merged in more or less as it is. If there is
an OS-portable mechanism for detecting light/dark switches somewhere
in a Lisp library, like dynamic-setting.el, then the patch I provide
here can still work as the underlying C implementation, and we can
bridge them together at the Lisp level later. An analogy for this
approach would be how the Lisp-level interprogram-{cut,paste}-function
settings bridge to underlying ns-get-selection and ns-own-selection
functions on Mac OS, but to other things on free OSes.

I’d really like to see this in Emacs 28 if possible!

Daphne